/* 新上好课整体布局开始 */
#new-course {
    padding: 32px 0;
}

.new-course-box {
    height: 698px;
}

.new-course-box .title {
    height: 36px;
}

.new-course-box .new-course-list {
    height: 568px;
    margin-top: 20px;
    /* background-color: rgb(211, 239, 249); */
}

/* 新上好课整体布局结束 */

/* 标题栏 */
.new-course-box .title {
    padding: 10px;
    font-size: 14px;
}

.new-course-box .title img {
    width: 162px;
}

.new-course-box .title a {
    padding: 0 10px;
    font-size: 14px;
    font-weight: 400;
    transition: .3s;
}

.new-course-box .title a:hover {
    color: #ec1500;
}

.new-course-box .title .active {
    border-bottom: 2px solid #ec1500;
    padding-bottom: 5px;
    font-weight: 700;
}

/* 文字截取2行 */
.ellipsis2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

/* 课程列表开始 */
.new-course-box .new-course-list ul {
    display: none;
    width: 1176px;
}

/* 当前选中的类别,显示 */
.new-course-box .new-course-list ul.current {
    display: block;
}

.new-course-box .new-course-list ul li {
    position: relative;
    float: left;
    width: 270px;
    height: 290px;
    margin: 0 24px 24px 0;
    border-radius: 8px;
    box-shadow: 0 5px 20px 0 rgba(0, 0, 0, .1);
    transition: all .2s;
}

.new-course-box .new-course-list ul li:hover {
    transform: translateY(-3px);
    box-shadow: 0 5px 20px 0 rgba(0, 0, 0, .3);
    cursor: pointer;
}

.new-course-box .new-course-list ul li img {
    width: 270px;
    border-radius: 8px 8px 0 0;
}

.new-course-box .new-course-list .title {
    color: #545c63;
    line-height: 20px;
    height: 40px;
    margin-bottom: 8px;
    padding: 0 8px;
}

.new-course-box .new-course-list .difficulty {
    position: absolute;
    bottom: 40px;
    left: 10px;
    font-size: 12px;
}

.new-course-box .new-course-list .bottom {
    position: absolute;
    bottom: 10px;
    left: 10px;
}

.bottom .discount {
    padding: 1px 3px;
    background-color: rgba(242, 13, 13, .6);
    border-radius: 2px;
    color: #fff;
    font-size: 12px;
}

.bottom .price {
    padding: 2px 10px;
    font-size: 12px;
    color: rgba(242, 13, 13, .6);
    font-weight: 700;
}

.bottom .origin-price {
    padding: 2px 0;
    font-size: 12px;
    color: #6d7278;
}

.bottom .delete-line {
    text-decoration: line-through;
}

.bottom .free {
    font-size: 12px;
}

.icon1 {
    background: url(../images/new-pic/icon1.png) no-repeat center/100%;
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 60px;
    height: 25px;
    z-index: 1;
}

/* 课程列表结束 */

#menu {
    position: fixed;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 120px;
    background-image: url(https://moco.imooc.com/static/activity/2023spring/images/bg-left.png);
    background-repeat: no-repeat;
    background-size: 128px auto;
    background-position: -4px 0;
    padding-top: 192px;
    color: #fff;
    background-color: #d72622;
    border-radius: 0 8px 8px 0;
    text-align: center;
    z-index: 100;
    user-select: none;
}

#menu li {
    padding: 16px 0;
    cursor: pointer;
    transition: .2s;
}